<?php

/**
 * Gateway_Management services controller.
 *
 * @category   Apps
 * @package    Gateway_Management_Community
 * @subpackage Controllers
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2015-2017 DNSthingy
 * @license    All rights reserved
 * @link       https://www.dnsthingy.com
 */

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// D E P E N D E N C I E S
///////////////////////////////////////////////////////////////////////////////

require clearos_app_base('base') . '/controllers/daemon.php';

class Server extends Daemon
{
    function __construct()
    {
        parent::__construct('dnsthingymgr', 'gateway_management_community');
    }
}
